<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Shopping card</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div class="ion-padding">
    <ng-container *ngFor="let item of cards; let i = index">
      <app-shopping-item
        [item]="item"
        [index]="i"
        [currency]="currency | async"
      ></app-shopping-item>
    </ng-container>
    <div class="bs-xs-40"></div>
    <h2 class="caption h2">
      Total: <b>{{total | currency: (currency | async):"symbol":"1.2-2"}}</b>
    </h2>
    <div class="bs-xs-10"></div>
    <h2 class="caption h2">
      Tax: <b>{{tax | currency: (currency | async):"symbol":"1.2-2"}}</b>
    </h2>
  </div>
</ion-content>

<ion-footer class="ion-no-border">
  <ion-toolbar>
    <ion-button
      color="primary"
      expand="full"
      [disabled]="total === 0"
      [routerLink]="['/menu/shopping-card/payment']"
      >Pay</ion-button
    >
  </ion-toolbar>
</ion-footer>
